<?php 

$posts_config = $args['query'];
$events = get_posts($posts_config); ?>

<div class="events-grid">

	<?php if($events) {
		foreach($events as $event) { 

			$fields = get_fields($event->ID);

			// echo '<pre>';
			// print_r($fields);
			// echo '</pre>';

			$image = isset($fields['featured_image']) ? $fields['featured_image'] : null;
			$title = $event->post_title;
			$start_date = $fields['start_datetime'];
			$end_date = $fields['end_datetime'];

			$today = strtotime("now");
			if(strtotime($end_date)  > $today) {
			
				// get the venue
				$venue_id = get_field('event_venue', $event->ID);
				$venue = get_term($venue_id);
				
				// get the category
				$categories = get_the_terms($event->ID, 'event-category');
				if($categories) {
					$cat_list = join('', wp_list_pluck($categories, 'name'));
				}

				// get the tags
				// $tags = get_the_terms($event->ID, 'event-tag');
				// $excluded_tags = array('membership-required', 'immersive-sch-booking');
				// $tags_array = array();
				// if($tags) {
				// 	foreach($tags as $tag) {
				// 		if(!in_array($tag->slug, $excluded_tags)) {
				// 			$tags_array[] = $tag->name;
				// 		}
				// 	}
				// 	$tags_list = join(', ', $tags_array);
				// }
			
				// set soldout status
				// $event_dates = $fields['event_dates'];
				// $soldout = array();
				// foreach($event_dates as $date) { 
				// 	$soldout[] = ($date['showing_status'] == 'sold out') ? true : false; 
				// } 
			?>

				<div class="object-card event">
					<div class="featured-image">
						<?php if($image) { ?>
							<img class="featured" src="<?php echo $image; ?>" alt="<?php echo $title; ?>" />
						<?php } else { ?>
							<img class="logo" src="<?php echo get_template_directory_uri() . '/assets/images/Real_ideas_logo_RGB_Full_Colour.png'; ?>" alt="Real Ideas" />
						<?php }
						// if(in_array(true, $soldout)) {  ?>
						<!-- <span class="soldout">Sold out</span> -->
						<?php 
						// } ?>
						<a class="image-overlay" href="<?php the_permalink($event); ?>" ></a>
					</div>
					
					<div class="content">
						<h3><?php echo $title; ?></h3>
						<div class="meta">
							
							<?php if(date("jS F Y", strtotime($start_date)) === date("jS F Y", strtotime($end_date))) { ?>
								<span class="dates"><ion-icon name="calendar-outline"></ion-icon><?php echo date("jS F", strtotime($start_date)) ?></span>
								<span class="time"><ion-icon name="time-outline"></ion-icon><?php echo date("g:ia", strtotime($start_date)) ?></span>
							<?php } else { ?>
								<span class="dates"><ion-icon name="calendar-outline"></ion-icon><?php echo date("jS M", strtotime($start_date)) . ' - ' . date("jS M", strtotime($end_date)); ?></span>
							<?php } ?>
							<?php if($venue_id) { ?>
								<span class="venue"><ion-icon name="location-outline"></ion-icon><?php echo $venue->name; ?></span>
							<?php } ?>
							
							<span class="category"><ion-icon name="bookmarks-outline"></ion-icon><?php echo $cat_list; ?></span>

				
							
						</div>
					</div>
					<a class="btn" href="<?php the_permalink($event); ?>" >Read more</a>
				</div>

			<?php }
		}

	} else { ?>
		<p>No events to show</p>
	<?php } ?>

</div>
